org.jbpm.process.core.timer.impl

## Class GlobalTimerService.DisposableCommandService

- java.lang.Object
- - org.jbpm.process.core.timer.impl.GlobalTimerService.DisposableCommandService

- All Implemented Interfaces:
    org.drools.core.command.CommandService, org.kie.api.runtime.CommandExecutor
  Enclosing class:
    GlobalTimerService

      public static class GlobalTimerService.DisposableCommandService
      extends Object
      implements org.drools.core.command.CommandService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalTimerService.DisposableCommandService(org.drools.core.command.CommandService delegate, org.kie.api.runtime.manager.RuntimeManager manager, org.kie.api.runtime.manager.RuntimeEngine runtime, boolean retry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `<T> T` | `execute(org.kie.api.command.Command<T> command)`
    `org.kie.internal.command.Context` | `getContext()`
    `org.kie.api.runtime.Environment` | `getEnvironment()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalTimerService.DisposableCommandService

          public GlobalTimerService.DisposableCommandService(org.drools.core.command.CommandService delegate,
                                                     org.kie.api.runtime.manager.RuntimeManager manager,
                                                     org.kie.api.runtime.manager.RuntimeEngine runtime,
                                                     boolean retry)

  - ### Method Detail

    - #### execute

          public <T> T execute(org.kie.api.command.Command<T> command)

      Specified by:
        `execute` in interface `org.kie.api.runtime.CommandExecutor`

    - #### getContext

          public org.kie.internal.command.Context getContext()

      Specified by:
        `getContext` in interface `org.drools.core.command.CommandService`

    - #### dispose

          public void dispose()

    - #### getEnvironment

          public org.kie.api.runtime.Environment getEnvironment()

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.